Overview | Package | Class | Tree | Deprecated | Index | Help
| Simian - Similarity Analyser v2.2.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## au.com.redhillconsulting.simian
Class Checker

    java.lang.Object
      au.com.redhillconsulting.simian.Checker

    public final class Checker

extends java.lang.Object

Performs the duplicate checking.

Version:
  $Id: Checker.java 3019 2007-11-08 09:59:10Z haruki_zaemon $
Author:
  Simon Harris

Constructor Summary
`Checker(AuditListener listener, Options options)` Constructor.

Method Summary
`boolean` | `check()` Performs the checking once all source files have been loaded.
`AuditListener` | `getListener()` Obtains the event listener to notify.
`Options` | `getOptions()` Obtains the options controlling behaviour of the checker.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Checker

    public Checker(AuditListener listener,
                   Options options)

  Constructor.

  Parameters:
    `listener` - The event listener to notify
    `options` - The options controlling behaviour of the checker.

Method Detail

### getOptions

    public Options getOptions()

  Obtains the options controlling behaviour of the checker.

  Returns:
    The options controlling behaviour of the checker.

### getListener

    public AuditListener getListener()

  Obtains the event listener to notify.

  Returns:
    The event listener to notify.

### check

    public boolean check()

  Performs the checking once all source files have been loaded.

  Returns:
    `true` on success; otherwise `false`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Simian - Similarity Analyser v2.2.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-07 RedHill Consulting Pty. Ltd. All rights reserved.